
package com.tmerclub.cloud.common.order.vo;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author tmerclub
 * @date 2020/12/30
 */
public class OrderSimpleAmountInfoBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺钱包id
     */
    private Long walletLogId;

    private Long orderId;

    private Long shopId;

    /**
     * 支付系统类型
     */
    private Integer paySysType;

    /**
     * 实际总值
     */
    private Long actualTotal;

    /**
     * 平台补贴金额
     */
    private Long platformAmount;


    /**
     * 订单状态
     */
    private Integer status;

    /**
     * 订单关闭原因
     */
    private Integer closeType;

    /**
     * 分销金额
     */
    private Long distributionAmount;

    /**
     * 平台佣金
     */
    private Long platformCommission;
    /**
     * 店铺优惠金额
     */
    private Long shopAmount;
    /**
     * 总计优惠金额
     */
    private Long reduceAmount;
    /**
     * 供应商id
     */
    private Long supplierId;
    /**
     * 供应商商品发货方式 1.供应商发货 2.仓库发货
     */
    private Long supplierDeliveryType;
    /**
     * 采购总价
     */
    private Long purchaseAmount;
    /**
     * 运费
     */
    private Long freightAmount;
    /**
     * 运费
     */
    private Long freeFreightAmount;
    /**
     * 平台供应商佣金
     */
    private Long purchasePlatformCommission;

    /**
     * 是否待采购 1.是 0.否 2.已处理
     */
    private Integer waitPurchase;

    /**
     * 支付单号
     */
    private Long payId;

    /**
     * 第三方订单流水号
     */
    private String bizPayNo;

    public String getBizPayNo() {
        return bizPayNo;
    }

    public void setBizPayNo(String bizPayNo) {
        this.bizPayNo = bizPayNo;
    }

    public Long getPayId() {
        return payId;
    }

    public void setPayId(Long payId) {
        this.payId = payId;
    }

    public Long getFreeFreightAmount() {
        return freeFreightAmount;
    }

    public void setFreeFreightAmount(Long freeFreightAmount) {
        this.freeFreightAmount = freeFreightAmount;
    }

    public Integer getWaitPurchase() {
        return waitPurchase;
    }

    public void setWaitPurchase(Integer waitPurchase) {
        this.waitPurchase = waitPurchase;
    }

    public Long getPurchasePlatformCommission() {
        return purchasePlatformCommission;
    }

    public void setPurchasePlatformCommission(Long purchasePlatformCommission) {
        this.purchasePlatformCommission = purchasePlatformCommission;
    }

    public Long getFreightAmount() {
        return freightAmount;
    }

    public void setFreightAmount(Long freightAmount) {
        this.freightAmount = freightAmount;
    }

    public Long getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setPurchaseAmount(Long purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public Long getSupplierDeliveryType() {
        return supplierDeliveryType;
    }

    public void setSupplierDeliveryType(Long supplierDeliveryType) {
        this.supplierDeliveryType = supplierDeliveryType;
    }

    public Long getReduceAmount() {
        return reduceAmount;
    }

    public void setReduceAmount(Long reduceAmount) {
        this.reduceAmount = reduceAmount;
    }

    public Long getShopAmount() {
        return shopAmount;
    }

    public void setShopAmount(Long shopAmount) {
        this.shopAmount = shopAmount;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getActualTotal() {
        return actualTotal;
    }

    public void setActualTotal(Long actualTotal) {
        this.actualTotal = actualTotal;
    }

    public Long getPlatformAmount() {
        return platformAmount;
    }

    public void setPlatformAmount(Long platformAmount) {
        this.platformAmount = platformAmount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getCloseType() {
        return closeType;
    }

    public void setCloseType(Integer closeType) {
        this.closeType = closeType;
    }

    public Long getDistributionAmount() {
        return distributionAmount;
    }

    public void setDistributionAmount(Long distributionAmount) {
        this.distributionAmount = distributionAmount;
    }

    public Long getPlatformCommission() {
        return platformCommission;
    }

    public void setPlatformCommission(Long platformCommission) {
        this.platformCommission = platformCommission;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public Long getWalletLogId() {
        return walletLogId;
    }

    public void setWalletLogId(Long walletLogId) {
        this.walletLogId = walletLogId;
    }

    public Integer getPaySysType() {
        return paySysType;
    }

    public void setPaySysType(Integer paySysType) {
        this.paySysType = paySysType;
    }

    @Override
    public String toString() {
        return "OrderSimpleAmountInfoBO{" +
                "walletLogId=" + walletLogId +
                ", orderId=" + orderId +
                ", shopId=" + shopId +
                ", paySysType=" + paySysType +
                ", actualTotal=" + actualTotal +
                ", platformAmount=" + platformAmount +
                ", status=" + status +
                ", closeType=" + closeType +
                ", distributionAmount=" + distributionAmount +
                ", platformCommission=" + platformCommission +
                ", shopAmount=" + shopAmount +
                ", reduceAmount=" + reduceAmount +
                ", supplierId=" + supplierId +
                ", supplierDeliveryType=" + supplierDeliveryType +
                ", purchaseAmount=" + purchaseAmount +
                ", freightAmount=" + freightAmount +
                ", freeFreightAmount=" + freeFreightAmount +
                ", purchasePlatformCommission=" + purchasePlatformCommission +
                ", waitPurchase=" + waitPurchase +
                ", payId=" + payId +
                ", bizPayNo='" + bizPayNo + '\'' +
                '}';
    }
}
